#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA772_SU1E
VDIPB G3526_VDIParameterBlock;
unsigned char* G3527_;
#if (((EXETYPE == C05_ANIM) || (EXETYPE == C04_SWITCH)) || (EXETYPE == C06_CEDT))
long G3542_l_Unreferenced;
#endif
#if (EXETYPE == C05_ANIM)
int16_t G0579_i_Unreferenced;
#endif


void F1604_(long P5368_) {
        G3525_VDIPB_contrl[7] = P5368_ >> 16;
        G3525_VDIPB_contrl[8] = P5368_ & 0x0000FFFF;
}

void F1605_(long P5369_) {
        G3525_VDIPB_contrl[9] = P5369_ >> 16;
        G3525_VDIPB_contrl[10] = P5369_ & 0x0000FFFF;
}

void F1606_(long* P5370_) {
        *P5370_ = ((long)G3525_VDIPB_contrl[9] << 16) | G3525_VDIPB_contrl[10];
}

void F1607_CallVDI(
)
{
        asm {
                pea     G3525_VDIPB_contrl(a5)
                move.l  (sp)+,G3526_VDIParameterBlock(a5)
                pea     G3526_VDIParameterBlock(a5)
                move.l  (sp)+,d1
                move.l  a2,G3527_(a5)
                moveq   #0x73,d0
                trap    #2
                movea.l G3527_(a5),a2
        }
}
#endif
